<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotProgressIndicatorMetadata\BotPlanningStepMetadata\BotPlanningSearchSourcesMetadata;

use UnexpectedValueException;




class BotPlanningSearchSourceProvider
{
    


    const UNKNOWN = 0;
    


    const OTHER = 1;
    


    const GOOGLE = 2;
    


    const BING = 3;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::OTHER => 'OTHER',
        self::GOOGLE => 'GOOGLE',
        self::BING => 'BING',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

